Skip to main content
POST
/
api
/
v1
/
subscriptions
/
{subscription_id}
/
entitlements
Add an entitlement to a subscription
curl --request POST \
  --url https://api.example.com/api/v1/subscriptions/{subscription_id}/entitlements \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "feature_id": "<string>",
  "value": {
    "enabled": true
  }
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "feature_id": "<string>",
  "id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "value": {
    "enabled": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.meteroid.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

subscription_id
string<MeteroidId>
required

Subscription ID

Example:

"sub_7n42DGM5Tflk9n8mt7Fhc7"

Body

application/json
feature_id
string<MeteroidId>
required
Example:

"feat_7n42DGM5Tflk9n8mt7Fhc7"

value
object
required

Response

Entitlement created

created_at
string<date-time>
required
feature_id
string<MeteroidId>
required
Example:

"feat_7n42DGM5Tflk9n8mt7Fhc7"

id
string<MeteroidId>
required
Example:

"ent_7n42DGM5Tflk9n8mt7Fhc7"

updated_at
string<date-time>
required
value
object
required